Page cover

Fee

To try a test and directly interact with the API endpoint click "Test It" and use an embedded API client to send requests with custom headers and variables, then see the live response; essentially letting you test this API directly within this page. When testing please use our Demo URL: https://demo-payments.frontstream.com/api/fee

Calculates Fees based on Amount and Transaction Source Grouping

get

Used in our Non-Profit space to help cover any fees on Donations giving the option for all of a donation to go to a Charity.

Query parameters
ProcessorGuidstringOptional

optional - Identifies Processor being used by an API Partner

CharityIdstringOptional

optional - Valid CharityId from Charity Search

OrganizationGuidstringOptional

internal use - Valid Panorama Organization Guid

IntegrationSourceGuidstringOptional

internal use - Identifies integrated Product

TokenGuidstringOptional

Payment API Token GUID. Card Type of Token will be used in Fee Calculation. If using TokenGuid then do not set CreditCardTypeId parameter

Amountstring · max: 7Required

required - transaction amount

TransactionSourceGroupIdstringRequired

required - API Partners should set to 10 if API Partner fees configured - possible values - 1 - Donation Fee, 2 - Peer-to-Peer Fee, 3 - Auction Performance Fee, 4 - Ticket Fee, 5 - Registration Fee, 6 - Quick Sales Fee, 7 - Online Store Fee, 8 - Campaign Fee, 9 - 0% Auction Performance Fee, 10 - ApiPartnerFee, 11 - ExpressPayrollFee; 12 - PaymentNoFee;

PayFeebooleanRequired

required - cover the fees flag for the transaction. Indicates if the donor intends to cover the processing fees for the donation

CommissionRateOverridenumber · doubleOptional

optional - The percentage value that you want to set for your commission on the transaction. Minimum value that will be used is the FrontStream Commission Rate as set in your contract, maximum value is the maximum commission rate set in your contract. Passing values outside of the min/max range will not result in a validation error, but will instead default to the min/max value (i.e. if your maximum commission rate in your contract is 10%, and you pass "15.0" for this value, the Payment API will simply use 10%). Not including this field or passing null also defaults to using the maximum commission rate from your contract.

CardProcessingFeeOverridenumber · doubleOptional

optional - Overrides the default percentage processing fee

Tipstring · max: 7Optional

optional - An amount taken up front for the API Partner if Donor decides to apply a tip. Added to the total amount to charge on the donor’s card . Card fee calculations are performed using this value; all commission and credit card fees still apply as normal.

Taxstring · max: 7Optional

optional - A tax amount taken up front. Added to the total amount to charge on the donor’s card. Card fee calculations are performed using this value; all commission and credit card fees still apply as normal.

CreditCardTypeIdstringOptional

Used for API Partner's per card type fee calculation based on contract, For example - $0.30 per transaction for Visa, MasterCard and Discover cards and $0.50 per transaction for American Express. possible values - 1 - AMEX, 2 - MC, 3 - VISA, 4 - DISCOVER, 5 - DINERSCLUB, 7 - MAESTRO;

Header parameters
AccessTokenstringRequired

access token

Responses
chevron-right
200

Returns the calculated fees

application/json
TransactionSourceGroupIdstring · nullableOptional
PaymentAmountnumber · double · nullableOptional

This is the amount charged to the donor. Will be equal to the sum of the Amount parameters if payFee=false, but if payFee=true, then this will be the amount that will be charged to the donor in order to have the net post-disbursement donation be equal to the Amount parameters.

CardFeeRatenumber · double · nullableOptional

example 2.5% - applied to EVERY donation. This is the FrontStream card processing fee. The percentage of the PaymentAmount that will be taken for credit card fees. Expressed as a human-readable percentage rather than a decimal value, it is intended to be able to be displayed directly on a page without needing to be converted.

CardFeeAmountnumber · double · nullableOptional

This is the amount that is owed to the gateway for the example 2.5% that FrontStream collects from the transaction. 2.5% of transaction amount if donor is not paying the fee, otherwise 2.5% of the transaction + card fee.

CardTypeFeeAmountnumber · double · nullableOptional

A per transaction fee configured by card type (VI, MC, DI, AMEX, etc.) per API Partner's Contract other wise 0 (zero)

TotalCommissionRatenumber · double · nullableOptional

The Total percentage of Commissions that FrontStream takes from a given transaction. This rate = Partner CommissionRate + FS CommissionRate

TotalCommissionAmountnumber · double · nullableOptional

The product of the transaction times the Total commission rate.

PartnerCommissionRatenumber · double · nullableOptional

The Partner Commission percentage taken on behalf of the Partner from a given transaction.

PartnerCommissionAmountnumber · double · nullableOptional

The product of the transaction times the Partner commission rate.

FsCommissionRatenumber · double · nullableOptional

The FrontStream Commission percentage that FrontStream takes from a given transaction.

FsCommissionAmountnumber · double · nullableOptional

The product of the transaction times the FrontStream commission rate.

TotalFeesnumber · double · nullableOptional

The sum of all fees applied to a transaction amount. (TotalCommission + CardFee + FlatFee + CardFeeOnFee)

MaxOverridePartnerCommissionRatenumber · doubleOptional

The derived minimum partner override rate and maximum partner override rate

MaxOverridePartnerCommissionRate = TotalFees = (PartnerCommission rate) + (Card Fee Rate) + (Fs Commission Rate) MinOverridePartnerCommissionRate = (Card Fee rate) + (Fs Commission rate)

MinOverridePartnerCommissionRatenumber · doubleOptional
PerTransFeenumber · double · nullableOptional

The flat amount that will be taken from the PaymentAmount for any Per-Transaction Fees as configured in your contract.

Tipnumber · doubleOptional

The flat amount that will be paid out to the API Partner if Donor decides to add a tip regardless of payFee true or false.

CardFeeOnFeeAmountnumber · double · nullableOptional
Taxnumber · double · nullableOptional
get
/api/fee

Calculates Fees based on an array of Transaction Line items - Amount and Transaction Source Groupings

post

Used in our Non-Profit space to help cover any fees on Donations giving the option for all of a donation to go to a Charity.

Header parameters
AccessTokenstringRequired

access token

Body
ProcessorGuidstring · nullableOptional

optional - Identifies Processor being used by an API Partner

CharityIdstring · nullableOptional

optional - Valid CharityId Guid from Charity Search

OrganizationGuidstring · nullableOptional

internal use - Valid Panorama Organization Guid

IntegrationSourceGuidstring · nullableOptional

internal use - Identifies integrated Product

TokenGuidstring · nullableOptional

Payment API Token GUID. Card Type of Token will be used in Fee Calculation. If using TokenGuid then do not set CreditCardTypeId parameter

Responses
chevron-right
200

Returns the calculated fees

application/json
TotalPaymentAmountnumber · doubleOptional

The total payment amount processed toward the cardholder's account.

TotalFeesAmountnumber · doubleOptional

The calculated total fees amount of the list of transactions.

TotalTaxAmountnumber · doubleOptional

The calculated total tax amount of the list of transactions.

post
/api/fees

Last updated